__author__ = 'Juergen Weichand'

from osgeo import gdal, ogr
import random, string

gml = """<ogr:FeatureCollection xmlns:gml="http://www.opengis.net/gml">
  <gml:featureMember>
    <ogr:test>
      <ogr:geometry>
        <gml:Polygon>
          <gml:outerBoundaryIs>
            <gml:LinearRing>
              <gml:coordinates>2,49 2,50 3,50 3,49 2,49</gml:coordinates>
            </gml:LinearRing>
          </gml:outerBoundaryIs>
        </gml:Polygon>
      </ogr:geometry>
      <ogr:otherGeometry>
        <gml:Point>
          <gml:pos>-2 -49</gml:pos>
        </gml:Point>
      </ogr:otherGeometry>
    </ogr:test>
  </gml:featureMember>
</ogr:FeatureCollection>
"""

filename = "/tmp/test{0}.gml".format(''.join(random.choice(string.ascii_uppercase + string.digits) for x in range(6)))

gmlfile = open(filename, "w")
gmlfile.write(gml)
gmlfile.close()

print('---> GDAL Version: ' + str(gdal.VersionInfo('VERSION_NUM')) + ' <---')

for i in range(1, 4):
    print("~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~")	
    print('Open attempt: ' + str(i))
    ds = ogr.Open(filename)
    lyr = ds.GetLayer(0)
    feat = lyr.GetNextFeature()
    print('GetGeometryType: ' + str(feat.GetGeometryRef().GetGeometryType()) )
    print('GetGeometryRef: ' + str(feat.GetGeometryRef()) )
  